<?xml version="1.0" encoding="UTF-8"?>
<portlet-app xmlns="http://java.sun.com/xml/ns/portlet/portlet-app_2_0.xsd"
			 version="2.0"
			 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			 xsi:schemaLocation="http://java.sun.com/xml/ns/portlet/portlet-app_2_0.xsd http://java.sun.com/xml/ns/portlet/portlet-app_2_0.xsd">
	<portlet>
		<portlet-name>SettingsControllerPortlet</portlet-name>
		<display-name xml:lang="EN">CS Settings Portlet</display-name>
		<portlet-class>org.exoplatform.cs.portlet.settings.SettingsControllerPortlet</portlet-class>
		<init-param>
			<name>juzu.run_mode</name>
			<value>${juzu.cs.run_mode:prod}</value>
		</init-param>
		<init-param>
			<name>juzu.request_encoding</name>
			<value>UTF-8</value>
		</init-param>
		<supports>
			<mime-type>text/html</mime-type>
		</supports>
		<portlet-info>
			<title>CS Settings Portlet</title>
			<keywords>Customer Space - Settings Portlet</keywords>
		</portlet-info>
	</portlet>
	<portlet>
		<portlet-name>EnvironmentControllerPortlet</portlet-name>
		<display-name xml:lang="EN">Customer Environment Management Portlet</display-name>
		<portlet-class>org.exoplatform.cs.portlet.environment.EnvironmentControllerPortlet</portlet-class>
		<init-param>
			<name>juzu.run_mode</name>
			<value>${juzu.cs.run_mode:prod}</value>
		</init-param>
		<init-param>
			<name>juzu.request_encoding</name>
			<value>UTF-8</value>
		</init-param>
		<supports>
			<mime-type>text/html</mime-type>
		</supports>
		<portlet-info>
			<title>Environment Addon Portlet</title>
			<keywords>Customer Space - Environment Portlet</keywords>
		</portlet-info>
	</portlet>
	<portlet>
		<portlet-name>TicketControllerPortlet</portlet-name>
		<display-name xml:lang="EN">Customer Ticket Management Portlet</display-name>
		<portlet-class>org.exoplatform.cs.portlet.ticket.TicketControllerPortlet</portlet-class>
		<init-param>
			<name>juzu.run_mode</name>
			<value>${juzu.cs.run_mode:prod}</value>
		</init-param>
		<init-param>
			<name>juzu.request_encoding</name>
			<value>UTF-8</value>
		</init-param>
		<supports>
			<mime-type>text/html</mime-type>
		</supports>
		<portlet-info>
			<title>Ticket Addon Portlet</title>
			<keywords>Customer Space - Ticket Portlet</keywords>
		</portlet-info>
	</portlet>
	<portlet>
		<portlet-name>QuickTicketControllerPortlet</portlet-name>
		<display-name xml:lang="EN">Quick Ticket Management Portlet</display-name>
		<portlet-class>org.exoplatform.cs.portlet.quickticket.QuickTicketControllerPortlet</portlet-class>
		<init-param>
			<name>juzu.run_mode</name>
			<value>${juzu.cs.run_mode:prod}</value>
		</init-param>
		<init-param>
			<name>juzu.request_encoding</name>
			<value>UTF-8</value>
		</init-param>
		<supports>
			<mime-type>text/html</mime-type>
			<portlet-mode>edit</portlet-mode>
			<portlet-mode>help</portlet-mode>
			<portlet-mode>view</portlet-mode>
		</supports>
		<portlet-info>
			<title>Quick Ticket Addon Portlet</title>
			<keywords>Customer Space - Quick Ticket Portlet</keywords>
		</portlet-info>
		<portlet-preferences>
			<preference>
				<name>exo.cs.addon.spaceGroupId</name>
				<value></value>
				<read-only>false</read-only>
			</preference>
		</portlet-preferences>
	</portlet>
	<portlet>
		<portlet-name>SpaceControllerPortlet</portlet-name>
		<display-name xml:lang="EN">Customer Space Management Portlet</display-name>
		<portlet-class>org.exoplatform.cs.portlet.space.SpaceControllerPortlet</portlet-class>
		<init-param>
			<name>juzu.run_mode</name>
			<value>${juzu.cs.run_mode:prod}</value>
		</init-param>
		<init-param>
			<name>juzu.request_encoding</name>
			<value>UTF-8</value>
		</init-param>
		<supports>
			<mime-type>text/html</mime-type>
		</supports>
		<portlet-info>
			<title>Space Addon Portlet</title>
			<keywords>Customer Space - Space Management Portlet</keywords>
		</portlet-info>
	</portlet>
	<portlet>
		<portlet-name>TicketAdministrationControllerPortlet</portlet-name>
		<display-name xml:lang="EN">Administration Ticket Management Portlet</display-name>
		<portlet-class>org.exoplatform.cs.portlet.ticketAdministration.TicketAdministrationControllerPortlet
		</portlet-class>
		<init-param>
			<name>juzu.run_mode</name>
			<value>${juzu.cs.run_mode:prod}</value>
		</init-param>
		<init-param>
			<name>juzu.request_encoding</name>
			<value>UTF-8</value>
		</init-param>
		<supports>
			<mime-type>text/html</mime-type>
		</supports>
		<portlet-info>
			<title>Ticket Addon Portlet</title>
			<keywords>Customer Space - Ticket Management Portlet</keywords>
		</portlet-info>
	</portlet>


	<portlet>
		<portlet-name>TicketChartsControllerPortlet</portlet-name>
		<display-name xml:lang="EN">Ticket Charts Portlet</display-name>
		<portlet-class>org.exoplatform.cs.portlet.ticketCharts.TicketChartsControllerPortlet</portlet-class>
		<init-param>
			<name>juzu.run_mode</name>
			<value>${juzu.cs.run_mode:prod}</value>
		</init-param>
		<init-param>
			<name>juzu.request_encoding</name>
			<value>UTF-8</value>
		</init-param>
		<supports>
			<mime-type>text/html</mime-type>
		</supports>
		<portlet-info>
			<title>Ticket Addon Portlet</title>
			<keywords>Customer Space - Ticket Charts Portlet</keywords>
		</portlet-info>
	</portlet>

	<portlet>
		<portlet-name>TicketMenuControllerPortlet</portlet-name>
		<display-name xml:lang="EN">Ticket Menu Portlet</display-name>
		<portlet-class>org.exoplatform.cs.portlet.ticketMenu.TicketMenuControllerPortlet</portlet-class>
		<init-param>
			<name>juzu.run_mode</name>
			<value>${juzu.cs.run_mode:prod}</value>
		</init-param>
		<init-param>
			<name>juzu.request_encoding</name>
			<value>UTF-8</value>
		</init-param>
		<supports>
			<mime-type>text/html</mime-type>
		</supports>
		<portlet-info>
			<title>Ticket Addon Portlet</title>
			<keywords>Customer Space - Ticket Menu Portlet</keywords>
		</portlet-info>
	</portlet>

	<portlet>
		<portlet-name>TicketMenuVuePortlet</portlet-name>
		<display-name xml:lang="EN">Ticket Menu Vue Portlet</display-name>
		<portlet-class>org.exoplatform.commons.api.portlet.GenericDispatchedViewPortlet</portlet-class>
		<init-param>
			<name>portlet-view-dispatched-file-path</name>
			<value>/html/customer-space-ticketmenu.html</value>
		</init-param>
		<init-param>
			<name>preload.resource.bundles</name>
			<value>locale.portlet.customer_space</value>
		</init-param>
		<expiration-cache>-1</expiration-cache>
		<cache-scope>PUBLIC</cache-scope>
		<supports>
			<mime-type>text/html</mime-type>
		</supports>
		<supported-locale>en</supported-locale>
		<resource-bundle>locale.portlet.customer_space</resource-bundle>
		<portlet-info>
			<title>Ticket Addon Portlet</title>
			<keywords>Customer Space - Ticket Menu Portlet</keywords>
		</portlet-info>
	</portlet>

	<portlet>
		<portlet-name>TicketFeedbackVuePortlet</portlet-name>
		<display-name xml:lang="EN">Ticket Feedback Vue Portlet</display-name>
		<portlet-class>org.exoplatform.commons.api.portlet.GenericDispatchedViewPortlet</portlet-class>
		<init-param>
			<name>portlet-view-dispatched-file-path</name>
			<value>/html/customer-space-ticket.html</value>
		</init-param>
		<expiration-cache>-1</expiration-cache>
		<cache-scope>PUBLIC</cache-scope>
		<supports>
			<mime-type>text/html</mime-type>
		</supports>
		<supported-locale>en</supported-locale>
		<resource-bundle>locale.portlet.customer_space</resource-bundle>
		<portlet-info>
			<title>Ticket Addon Portlet</title>
			<keywords>Customer Space - Ticket Feedback Portlet</keywords>
		</portlet-info>
	</portlet>

	<portlet>
		<description xml:lang="EN">CS Extensions</description>
		<portlet-name>CSExtensions</portlet-name>
		<display-name xml:lang="EN">CS Extensions</display-name>
		<portlet-class>org.exoplatform.commons.api.portlet.GenericDispatchedViewPortlet</portlet-class>
		<init-param>
			<name>portlet-view-dispatched-file-path</name>
			<value>/html/customer-space-extensions.html</value>
		</init-param>
		<init-param>
          <name>preload.resource.bundles</name>
          <value>locale.portlet.customer_space</value>
        </init-param>
		<expiration-cache>-1</expiration-cache>
		<cache-scope>PUBLIC</cache-scope>
		<supports>
			<mime-type>text/html</mime-type>
		</supports>
		<supported-locale>en</supported-locale>
		<portlet-info>
			<title>CS Extensions Portlet</title>
			<short-title>CS Extensions</short-title>
			<keywords>Customer Space - CS Extensions Portlet</keywords>
		</portlet-info>
	</portlet>
</portlet-app>